---
title: Fish Audio الحصول على صوت | RunAPI
description: استخدم نقطة نهاية الحصول على الصوت لتلقي نتيجة في الاستجابة ذاتها.
url: https://runapi.ai/ar/docs/api/fish-audio/get-voice.md
canonical: https://runapi.ai/ar/docs/api/fish-audio/get-voice
locale: ar
---

> نسخة HTML: https://runapi.ai/ar/docs/api/fish-audio/get-voice
> فهرس الموقع للوكلاء: https://runapi.ai/llms.txt

# Fish Audio الحصول على صوت

## نظرة عامة

استخدم نقطة نهاية الحصول على الصوت واقرأ النتيجة من الاستجابة ذاتها.

### البدء السريع

1. أنشئ مفتاح API واضبطه كـ RUNAPI_API_KEY.
2. أرسل طلب POST يطابق نص الطلب مخطط الطلب.
3. اقرأ النتيجة من جسم الاستجابة الناجحة.

## نقطة النهاية

GET /api/v1/fish_audio/voices/:voice_id

عنوان URL الأساسي: https://runapi.ai

إصدار API: v1

المصادقة: Authorization: Bearer YOUR_API_TOKEN

## النماذج المدعومة

افتح صفحة النموذج للاطلاع على التسعير الحالي وحدود المعدل وتفاصيل الاستخدام التجاري.

- [Fish Audio](https://runapi.ai/ar/models/fish-audio)

## مخطط الطلب

أرسل الحقول المُعلنة لهذا الطرف فقط.

### جسم الطلب

```json
{
  "voice_id": {
    "required": true,
    "type": "string"
  }
}
```

## استجابة النجاح

HTTP 200 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "voice": {
      "properties": {
        "name": {
          "type": "string"
        },
        "state": {
          "enum": [
            "created",
            "training",
            "trained",
            "failed"
          ],
          "type": "string"
        },
        "voice_id": {
          "type": "string"
        }
      },
      "required": [
        "voice_id",
        "state"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  },
  "required": [
    "voice",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### مثال على الاستجابة

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "voice": {
    "name": "Studio Narrator",
    "state": "trained",
    "voice_id": "voice_reference_narrator"
  }
}
```

## الأخطاء

HTTP 401 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "properties": {
    "error": {
      "description": "رسالة خطأ قابلة للقراءة البشرية.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### مثال على الاستجابة

```json
{
  "error": "Authentication required"
}
```

## الأخطاء

HTTP 400 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "رسالة خطأ قابلة للقراءة البشرية.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "ملخص التحقق القابل للقراءة البشرية.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "رسائل التحقق مفتاحها حقل الطلب العام، مع مصفوفة من السلاسل القابلة للقراءة البشرية لكل حقل.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### مثال على الاستجابة

```json
{
  "error": "Validation failed",
  "errors": {
    "voice_id": [
      "is required"
    ]
  }
}
```

## الأخطاء

HTTP 402 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "properties": {
    "error": {
      "description": "رسالة خطأ قابلة للقراءة البشرية.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### مثال على الاستجابة

```json
{
  "error": "Insufficient balance"
}
```

## الأخطاء

HTTP 429 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "properties": {
    "error": {
      "description": "رسالة خطأ قابلة للقراءة البشرية.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### مثال على الاستجابة

```json
{
  "error": "API key credit limit exceeded"
}
```

## الأخطاء

HTTP 409 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "properties": {
    "error": {
      "description": "رسالة خطأ قابلة للقراءة البشرية.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### مثال على الاستجابة

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## الأخطاء

HTTP 429 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "properties": {
    "error": {
      "description": "رسالة خطأ قابلة للقراءة البشرية.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### مثال على الاستجابة

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## الأخطاء

HTTP 503 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "properties": {
    "error": {
      "description": "رسالة خطأ قابلة للقراءة البشرية.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### مثال على الاستجابة

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## الأخطاء

HTTP 504 - GET /api/v1/fish_audio/voices/:voice_id

### مخطط الاستجابة

```json
{
  "properties": {
    "error": {
      "description": "رسالة خطأ قابلة للقراءة البشرية.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### مثال على الاستجابة

```json
{
  "error": "The request timed out"
}
```

## نماذج الأكواد المولَّدة

استخدم cURL مباشرةً، أو ثبّت SDK للغة البرمجة التي تستخدمها. كل نموذج يُرسل الطلب الذي تم التحقق من صحته كما هو موضح في هذا المرجع.

### curl

```curl
curl -X GET https://runapi.ai/api/v1/fish_audio/voices/voice_reference_narrator \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### javascript

#### التثبيت

```bash
npm install @runapi.ai/fish-audio
```

```javascript
import { FishAudioClient } from "@runapi.ai/fish-audio";

const client = new FishAudioClient({ apiKey: process.env.RUNAPI_API_KEY });
const result = await client.getVoice.run({
  "voice_id": "voice_reference_narrator"
});
```

### python

#### التثبيت

```bash
pip install runapi-fish-audio
```

```python
import os
from runapi.fish_audio import FishAudioClient

client = FishAudioClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.get_voice.run(
  voice_id="voice_reference_narrator"
)
```

### go

#### التثبيت

```bash
go get github.com/runapi-ai/fish-audio-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  fishaudio "github.com/runapi-ai/fish-audio-sdk/go/fishaudio"
)

func main() {
  client, err := fishaudio.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  result, err := client.GetVoice.Run(context.Background(), fishaudio.GetVoiceParams{
    VoiceID: "voice_reference_narrator",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = result
}
```

### ruby

#### التثبيت

```bash
gem install runapi-fish-audio
```

```ruby
require "runapi/fish_audio"

client = RunApi::FishAudio::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
result = client.get_voice.run(
  voice_id: "voice_reference_narrator"
)
```

### java

#### التثبيت

```kotlin
implementation("ai.runapi:runapi-fish-audio")
```

```java
import ai.runapi.fishaudio.FishAudioClient;
import ai.runapi.fishaudio.types.GetVoiceParams;
import ai.runapi.fishaudio.types.VoiceResponse;

public final class Example {
  public static void main(String[] args) {
    FishAudioClient client = FishAudioClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    VoiceResponse result = client.getVoice().run(
        GetVoiceParams.builder()
        .voiceId("voice_reference_narrator")
            .build()
    );
  }
}
```

### php

#### التثبيت

```bash
composer require runapi-ai/fish-audio
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\FishAudio\FishAudioClient;

$client = new FishAudioClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$result = $client->getVoice->run([
  "voice_id" => "voice_reference_narrator"
]);
```

## الأدلة ذات الصلة

- [المصادقة](https://runapi.ai/ar/docs/guides/authentication.md)
- [البدء السريع](https://runapi.ai/ar/docs/guides/task-api/quickstart.md)

---

## المزيد من RunAPI

- [الرئيسية](https://runapi.ai/ar/.md)
- [كتالوج النماذج](https://runapi.ai/ar/models.md)
- [الأسعار](https://runapi.ai/ar/pricing.md)
- [مزودو الخدمة](https://runapi.ai/ar/models)
- [التوثيق](https://runapi.ai/ar/docs/guides)
- [حزم SDK](https://runapi.ai/ar/sdk.md)
- [CLI](https://runapi.ai/ar/cli.md)
- [خادم MCP](https://runapi.ai/ar/mcp.md)
- [Claude Code مقابل Cursor](https://runapi.ai/ar/claude-code-vs-cursor.md)
- [إعداد Cursor API](https://runapi.ai/ar/cursor-api-setup.md)
- [RunAPI مقابل OpenRouter](https://runapi.ai/ar/openrouter-alternative.md)
- [المؤسسات](https://runapi.ai/ar/contact.md)
- [اتصل بنا](https://runapi.ai/ar/contact.md)
- [الشروط](https://runapi.ai/ar/terms.md)
- [الخصوصية](https://runapi.ai/ar/privacy.md)
- [فهرس الموقع للوكلاء](https://runapi.ai/llms.txt)

التواصل: contact@runapi.ai

## البيانات المنظمة

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ar",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ar",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ar/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ar",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ar",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/aricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ar",
    "@type": "TechArticle",
    "headline": "Fish Audio الحصول على صوت",
    "description": "استخدم نقطة نهاية الحصول على الصوت لتلقي نتيجة في الاستجابة ذاتها.",
    "url": "https://runapi.ai/ar/docs/api/fish-audio/get-voice",
    "mainEntityOfPage": "https://runapi.ai/ar/docs/api/fish-audio/get-voice"
  }
]
```
